Subject: bug#5206: OPTION key combinations using international keyboards in the NEXTSTEP versions of Emacs don't work

From: Anders Bolt-Evensen <[email-masked]>
Date: Sun, 13 Dec 2009 11:18:38 +0100

Hey!

I've been working on Emacs for some time now, and recently I started using the Mac OS X user interface instead of the X windowing system.
But there is one problem: I'm using a Norwegian keyboard, and to use characters like |, [, ], {, } and a few other characters I need to use either the OPTION or SHIFT+OPTION keys. In the NEXTSTEP version of Emacs the OPTION key is defined as the meta key.

OPTION+7 = |
OPTION+8 = [
OPTION+9 = ]
SHIFT+OPTION+7 = \
SHIFT+OPTION+8 = {
SHIFT+OPTION+9 = }

When I press the OPTION+7 keys, the vertical bar should appear as seen in the list above, but insted nothing happens until I press an other key, in this case I used the A key, and "aaaaaaa" appears. When I press the SHIFT+OPTION+7 keys, the word "system" appears. This problem only applies to the NEXTSTEP version - the terminal and X window versions work as they should.

Best regards, 
Anders